> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unicontrol.me/llms.txt
> Use this file to discover all available pages before exploring further.

# List VoIP accounts for the current organization



## OpenAPI

````yaml https://portal.unicontrol.me/v1/openapi get /v1/voip-accounts
openapi: 3.1.0
info:
  title: Unicontrol API
  description: Welcome
  version: 1.0.0
servers:
  - url: http://0.0.0.0:3000
    description: Local Server
  - url: https://portal.test.flexhome.casa
    description: Development
  - url: https://portal.unicontrol.me
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/voip-accounts:
    get:
      tags:
        - VoIP
      summary: List VoIP accounts for the current organization
      operationId: getV1Voip-accounts
      parameters:
        - in: header
          name: X-Organization-Id
          required: false
          schema:
            type: string
          description: >-
            ID da organização para contexto (opcional). Quando presente, filtra
            recursos da org.
      responses:
        '200':
          description: Lista de contas VoIP
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: integer
                    display_name:
                      type: string
                    server:
                      type: string
                    port:
                      type: integer
                    username:
                      type: string
                    password:
                      type: string
                    transport:
                      type: string
                      enum:
                        - wss
                        - ws
                        - tcp
                        - udp
                    is_active:
                      type: boolean
                    user_id:
                      type: string
                    org_id:
                      type: string
                      nullable: true
                    created_at:
                      type: string
                      format: date-time
                    updated_at:
                      type: string
                      format: date-time
              example:
                - id: 1
                  display_name: Apto 101
                  server: sip.exemplo.com
                  port: 443
                  username: '101'
                  password: s3cret
                  transport: wss
                  is_active: true
                  user_id: user_abc123
                  org_id: org_xyz
                  created_at: '2026-03-17T10:00:00Z'
                  updated_at: '2026-03-17T10:00:00Z'
        '401':
          description: Não autenticado
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: unauthorized
        '403':
          description: Acesso negado
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: forbidden
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````